Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.invalidation.bridges
Interface JGCacheInvalidationBridgeMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  JGCacheInvalidationBridge

public interface JGCacheInvalidationBridgeMBean
extends org.jboss.system.ServiceMBean

Cache Invalidation bridge working over JavaGroup. The partition to be used and the invalidation manager can be defined as part of the MBean interface. The bridge automatically discovers which are the InvalidationGroup that are managed by other node of the cluster and only send invalidation information for these groups over the network. This makes this bridge very easy to setup while still being efficient with network resource and CPU serialization cost.

Version:
  $Revision: 1.2 $

  Revisions:

  24 septembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `JGCacheInvalidationBridge`, `InvalidationManager`

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getBridgeName()`
`String` | `getInvalidationManager()` ObjectName of the InvalidationManager to be used.
`String` | `getPartitionName()` Name of the Clustering partition to be used to exchange invalidation messages and discover which caches (i.e.
`void` | `setBridgeName(String name)`
`void` | `setInvalidationManager(String objectName)`
`void` | `setPartitionName(String partitionName)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getPartitionName

    public String getPartitionName()

  Name of the Clustering partition to be used to exchange invalidation messages and discover which caches (i.e. InvalidationGroup) are available

### setPartitionName

    public void setPartitionName(String partitionName)

### getInvalidationManager

    public String getInvalidationManager()

  ObjectName of the InvalidationManager to be used. Optional: in this case, the default InvalidationManager is used.

### setInvalidationManager

    public void setInvalidationManager(String objectName)

### getBridgeName

    public String getBridgeName()

### setBridgeName

    public void setBridgeName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.